package mocks

import "github.com/go-pg/pg/v10/orm"

type MockORMResults struct {
	ORMModel     orm.Model
	AffectedRows int
	ReturnedRows int
}

func (r *MockORMResults) Model() orm.Model {
	return r.ORMModel
}

func (r *MockORMResults) RowsAffected() int {
	return r.AffectedRows
}

func (r *MockORMResults) RowsReturned() int {
	return r.ReturnedRows
}

func (r *MockORMResults) SetModel(model orm.Model) {
	r.ORMModel = model
}
